Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.sts
Class KeyUtil

    java.lang.Object
      org.wso2.solutions.identity.sts.KeyUtil

    public class KeyUtil

extends java.lang.Object

Constructor Summary
`KeyUtil()`

Method Summary
`static java.security.cert.X509Certificate` | `getCertificate(java.lang.String keyStoreName, java.lang.String alais)`
`static java.security.cert.X509Certificate` | `getCertificateToIncludeInMex(java.lang.String serviceName)`
`static java.security.Key` | `getPrivateKey(java.lang.String alias)`
`static java.security.cert.X509Certificate[]` | `getServiceCertificateChain(java.lang.String alias)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyUtil

    public KeyUtil()

Method Detail

### getServiceCertificateChain

    public static java.security.cert.X509Certificate[] getServiceCertificateChain(java.lang.String alias)
                                                                           throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getCertificateToIncludeInMex

    public static java.security.cert.X509Certificate getCertificateToIncludeInMex(java.lang.String serviceName)
                                                                           throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getPrivateKey

    public static java.security.Key getPrivateKey(java.lang.String alias)
                                           throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getCertificate

    public static java.security.cert.X509Certificate getCertificate(java.lang.String keyStoreName,
                                                                    java.lang.String alais)
                                                             throws IdentityProviderException

  Throws:
    `IdentityProviderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD